Confirm DCA cancellation
curl --request POST \
--url https://api.jup.ag/trigger/v2/orders/dca/confirm-cancel/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"signedTransaction": "<string>",
"cancelRequestId": "<string>"
}
'import requests
url = "https://api.jup.ag/trigger/v2/orders/dca/confirm-cancel/{id}"
payload = {
"signedTransaction": "<string>",
"cancelRequestId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({signedTransaction: '<string>', cancelRequestId: '<string>'})
};
fetch('https://api.jup.ag/trigger/v2/orders/dca/confirm-cancel/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "019f0530-36a7-77da-a38f-ed9414bb996b",
"txSignature": "53CQkssz7oGmbUxp3W5tsjw8Vhpv8FKVXjfWb3ZyPW71gsAm4qHvK2FjEDKt9RNDVGesoNiMA7moGR1rKbzhEfqb"
}DCA
Confirm Cancel DCA Order
Submit the signed withdrawal transaction to finalize a DCA cancellation
POST
/
orders
/
dca
/
confirm-cancel
/
{id}
Confirm DCA cancellation
Authorizations
Get API key via https://developers.jup.ag/portal
JWT token from the challenge-response auth flow
Path Parameters
DCA order UUID
Body
application/json
Response
Cancellation confirmed
Minimal create/cancel response carrying the order ID and an on-chain transaction signature. Returned by DCA create (deposit signature) and by confirm-cancel (withdrawal signature). Unlike price order create, it does not include depositConfirmed.
Was this page helpful?
⌘I
